# Subgraph API Overview

VeneraSwap has a GraphQL API Endpoint hosted by [The Graph](https://thegraph.com/docs/en/about/#what-the-graph-is) called a subgraph for indexing and organizing data from the VeneraSwap smart contracts.

This subgraph can be used to query VeneraSwap data.

Subgraph information is serviced by a decentralized group of server operators called Indexers.\
\
Endpoints and API explorer:\
\
**Explorer page:** <https://thegraph.com/hosted-service/subgraph/venerafinance/exchange>

**API Endpoint:** <https://api.thegraph.com/subgraphs/name/venerafinance/exchange>\
\
GraphQL Schema Example:\
\
[`{ pancakeFactories(first: 5) { id totalPairs totalTransactions totalVolumeUSD } bundles(first: 5) { id bnbPrice } }`](#user-content-fn-1)[^1]<br>

Take a look at the Entites of the queries in the [next page](/venera-swap/api/subgraph-api-overview/entities.md).

[^1]: { pancakeFactories(first: 5) { id totalPairs totalTransactions totalVolumeUSD } bundles(first: 5) { id bnbPrice } }


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veneraswap.com/venera-swap/api/subgraph-api-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
